質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.98%

  • Ruby

    6395questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    6228questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

Rspecで必要なファイル群を生成しようとするとエラーがでます・・・(rails generate rspec:install)

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 194

TOKUSABU

score 37

現在
Specに必要なファイル群を生成させようと思い
下記を実行するとエラーがでます
rails generate rspec:install

vagrant@vagrant-ubuntu-trusty:~/workspace/achieve$ rails generate rspec:install
Running via Spring preloader in process 2899
Expected boolean default value for '--markerb'; got :erb (string)
Expected string default value for '--rc'; got false (boolean)
Expected string default value for '--rc'; got false (boolean)
Expected string default value for '--helper'; got true (boolean)
Expected string default value for '--assets'; got true (boolean)
Could not find generator 'rspec:install'. Maybe you meant 'devise:install'ã¨'responders:install' or 'bootstrap:install'
Run `rails generate --help` for more options.
vagrant@vagrant-ubuntu-trusty:~/workspace/achieve$


rspec:installが見つからないとでているのですが、この理由がわかりません

ぐぐった所、下記のとおりいろいろでるのでためしているのですがうまくいきません
http://d.hatena.ne.jp/koda_hd28v/20110216/1297858437
http://yuuxxxx.hatenablog.com/entry/2012/10/14/173251

原因としてはRspecのインストールができないとの事ですのでgemfileが影響していると思うの
ですが、よくわかりません(><)なにかお知恵を拝借する事はできないでしょうか?

ちなみにgemfileは下記の通りになります

source 'https://rubygems.org'


# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '4.2.3'
# Use postgresql as the database for Active Record
gem 'pg'
# Use SCSS for stylesheets
gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails', '~> 4.1.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby

# Use jquery as the JavaScript library
gem 'jquery-rails'
# Turbolinks makes following links in your web application faster. Read more: https://github.com/rails/turbolinks
gem 'turbolinks'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.0'
# bundle exec rake doc:rails generates the API under doc/api.
gem 'sdoc', '~> 0.4.0', group: :doc

# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use Unicorn as the app server
 gem 'unicorn'

 gem 'fog'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug'

  # Access an IRB console on exception pages or by using <%= console %> in views
  gem 'web-console', '~> 2.0'

  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'

  gem 'pry-rails'

  gem 'better_errors'



  gem 'capistrano', '3.6.0'
  gem 'capistrano-bundler'
  gem 'capistrano-rails'
  gem 'capistrano-rbenv'
  gem 'capistrano3-unicorn'




end

gem 'twitter-bootstrap-rails'

gem 'jquery-turbolinks'

gem 'rails_12factor', group: :production

gem 'devise'

gem 'faker'

gem 'rails_admin'

gem 'cancan'

gem 'activeresource'

gem 'omniauth'

gem 'omniauth-twitter'

gem 'omniauth-facebook'

 gem 'pusher'

#image uploader
gem 'carrierwave'
gem 'rmagick'

 gem 'dotenv-rails'

group :development do
  gem 'letter_opener_web'
 gem 'dotenv-rails'

end

gem 'therubyracer', platforms: :ruby

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug'

  # Access an IRB console on exception pages or by using <%= console %> in views
  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
  gem "rspec-rails"
  gem "factory_girl_rails"
end


group :test do
  gem "capybara"
  gem "database_cleaner"
  gem "launchy"
  gem 'rspec', '2.5.0'
end
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

一つ気になったのが、gemfileの

group :test do
  gem 'rspec', '2.5.0'
end


がいらないです。

gemfileでインストールしたgemの削除

* bundle exec gem uninstall rspec
* gemfileからrspec削除
* bundle install

rspec-railsのみでrspecは使用できますよ。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/09/10 00:32

    ご指摘ありがとうございます!
    試して確認してみます!

    キャンセル

  • 2017/09/10 08:25

    ご指摘ありがとうございました
    うーん、試してみましたがまだエラーがでました

    残念ながら要因はこれだけではなさそうでした・・・
    (><)
    ・・・・・・・・・・・・・・・・・・・
    vagrant@vagrant-ubuntu-trusty:~/workspace/achieve$ rails generate rspec:install
    Running via Spring preloader in process 2314
    Expected boolean default value for '--markerb'; got :erb (string)
    Expected string default value for '--rc'; got false (boolean)
    Expected string default value for '--rc'; got false (boolean)
    Expected string default value for '--helper'; got true (boolean)
    Expected string default value for '--assets'; got true (boolean)
    Could not find generator 'rspec:install'. Maybe you meant 'devise:install'ã¨'responders:install' or 'bootstrap:install'
    Run `rails generate --help` for more options.

    キャンセル

  • 2017/09/10 09:36

    すみません、自己解決しました
    ググると下記がありました
    http://qiita.com/shizuma/items/8221544601aa3d0770d2

    バージョンを最新にしなければ、うまく動かない可能性があるので注意との事
    その為、こちらに記載あるもの、最新バージョンにして動かすと無事うまくいきました!
    ご助言ありがとうございました!
    ・・・・・・・・・・・・・・・・・・・
    Gemfile
    group :development, :test do
    gem 'rspec-rails', '~> 2.14.0'
    gem 'factory_girl_rails', '~> 4.2.1'
    end

    group :test do
    gem 'faker', '~> 1.1.2'
    gem 'capybara', '~> 2.1.0'
    gem 'database_cleaner', '~> 1.0.1'
    gem 'launchy', '~> 2.3.0'
    gem 'selenium-webdriver', '~>2.45.0'
    end

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.98%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • Ruby

    6395questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

  • Ruby on Rails

    6228questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • トップ
  • Rubyに関する質問
  • Rspecで必要なファイル群を生成しようとするとエラーがでます・・・(rails generate rspec:install)